<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_d0845bff5cd0ddb" . "5ed1d7bd9db996f5" . "1" => base64_decode("c291" . "cmNl"), "_939c6a45ff74323dbef487ed1" . "5753a7c" => base64_decode("c3Rhd" . "GU="), "_4c760fb02" . "a49c55509b" . "a087b84fbd" . "a45" => base64_decode("ZHJh" . "ZnQ="), "_2e858fb1973337f" . "53ff85c104fcb38f" . "4" => base64_decode("cHVibGlza" . "GVk"), "t" . "y" . "p" . "e" => base64_decode("dHlwZQ" . "=="), "_80e7ee43fdf8381" . "01a2303a7b4a50ef" . "c" => base64_decode("dG9fZm9sZGVyX" . "2lk"), "_32155ccb342f199043" . "093041c1b3bb57" => base64_decode("ZnJvbV9m" . "b2xkZXJf" . "aWQ="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_939c6a45ff74323d" . "bef487ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a45ff74323db" . "ef487ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4c760fb02" . "a49c55509b" . "a087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_2e858fb1973337f53ff85" . "c104fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["typ" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["ty" . "pe"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d0845bff5cd0ddb5ed1" . "d7bd9db996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_32155ccb342f19904309304" . "1c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_80e7ee43fdf838101a230" . "3a7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}